net.minecraft.item

## Enum ItemFishFood.FishType

- java.lang.Object
- - java.lang.Enum<ItemFishFood.FishType>
  - - net.minecraft.item.ItemFishFood.FishType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ItemFishFood.FishType>
  Enclosing class:
    ItemFishFood

      public static enum ItemFishFood.FishType
      extends java.lang.Enum<ItemFishFood.FishType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOWNFISH`
    `COD`
    `PUFFERFISH`
    `SALMON`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `func_150967_d()`
    `void` | `func_150968_a(IIconRegister p_150968_1_)`
    `int` | `func_150970_e()`
    `IIcon` | `func_150971_g()`
    `java.lang.String` | `func_150972_b()`
    `boolean` | `func_150973_i()`
    `static ItemFishFood.FishType` | `func_150974_a(int p_150974_0_)`
    `int` | `func_150975_c()`
    `int` | `func_150976_a()`
    `float` | `func_150977_f()`
    `static ItemFishFood.FishType` | `func_150978_a(ItemStack p_150978_0_)`
    `IIcon` | `func_150979_h()`
    `static ItemFishFood.FishType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ItemFishFood.FishType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COD

          public static final ItemFishFood.FishType COD

    - #### SALMON

          public static final ItemFishFood.FishType SALMON

    - #### CLOWNFISH

          public static final ItemFishFood.FishType CLOWNFISH

    - #### PUFFERFISH

          public static final ItemFishFood.FishType PUFFERFISH

  - ### Method Detail

    - #### values

          public static ItemFishFood.FishType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ItemFishFood.FishType c : ItemFishFood.FishType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ItemFishFood.FishType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### func_150976_a

          public int func_150976_a()

    - #### func_150972_b

          public java.lang.String func_150972_b()

    - #### func_150975_c

          public int func_150975_c()

    - #### func_150967_d

          public float func_150967_d()

    - #### func_150970_e

          public int func_150970_e()

    - #### func_150977_f

          public float func_150977_f()

    - #### func_150968_a

          public void func_150968_a(IIconRegister p_150968_1_)

    - #### func_150971_g

          public IIcon func_150971_g()

    - #### func_150979_h

          public IIcon func_150979_h()

    - #### func_150973_i

          public boolean func_150973_i()

    - #### func_150974_a

          public static ItemFishFood.FishType func_150974_a(int p_150974_0_)

    - #### func_150978_a

          public static ItemFishFood.FishType func_150978_a(ItemStack p_150978_0_)